Subject: [PATCH v2] ASoC: omap: convert per-board modules to platform drivers

From: [email-masked] (Arnd Bergmann)
Date: Thu, 08 Sep 2011 22:28:50 +0200

On Thursday 08 September 2011 20:05:48 Mans Rullgard wrote:
> >
> > Can't we do by having omap_init_audio() in arch/arm/mach-omap2/devices.c
> > generate a platform device of name depending upon machine_is_* ?
> 
> I had the same thought, but I couldn't find a suitable string anywhere.
> Are you suggesting an if(machine_is_foo()) cascade in omap_init_audio()?
> 
> I'll be the first to agree this patch is not particularly pretty.

My general feeling is that practically every time someone writes
machine_is_*(), they are doing it wrong. There are of course exceptions,
but I would strongly recommend to have the initialization calling up
from the board file into more general functions instead of having all
boards calling the same function which then goes to board specific
code again.

	Arnd